## com.sun.j3d.utils.behaviors.sensor
Interface SensorReadListener

All Known Implementing Classes:
  Mouse6DPointerBehavior.EchoReadListener, SensorInputAdaptor, WandViewBehavior.EchoReadListener6D, WandViewBehavior.GrabViewListener6D, WandViewBehavior.ListenerBase, WandViewBehavior.ResetViewListener, WandViewBehavior.RotationListener2D, WandViewBehavior.RotationListener6D, WandViewBehavior.ScaleListener2D, WandViewBehavior.ScaleListener6D, WandViewBehavior.TranslationListener2D, WandViewBehavior.TranslationListener6D

    public interface SensorReadListener

This defines the interface for handling a sensor's read events in conjuction with a `SensorEventAgent` instance.

The events passed to this listener's methods are ephemeral; they are only valid until the listener has returned. If a listener needs to retain the event it must be copied using the `SensorEvent(SensorEvent)` constructor.

Since:
  Java 3D 1.3
See Also:
  `SensorEvent`, `SensorEventAgent`, `SensorButtonListener`

Method Summary
`void` `read(SensorEvent e)` This method is called each time the `dispatchEvents` method of `SensorEventAgent` is called and none of a sensor's buttons have been handled by a button listener.

Method Detail

### read

    void read(SensorEvent e)

  This method is called each time the `dispatchEvents` method of `SensorEventAgent` is called and none of a sensor's buttons have been handled by a button listener. The sensor read value has not necessarily changed since the last read event.

  Parameters:
    `e` - the sensor event

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.